<?
  $userNotFound = false;
  $deletedUser = 0;
  if ($userId)
  {
      $client = new user('', $userId);
      if (!$client->userId)
      {
          $userNotFound = true;
      }
  } else {
      if (strlen($versnummer) == 10)
      $client = new user($versnummer);
      if (!$client->userId)
      {
          $userNotFound = true;
      } else {
          $userId = $client->userId;
      }
  }

  $empty = true;
  if ($userNotFound)
  {
      /* userId->getDeletedUser */
      $client = new user('', $userId, 1);
      if ($client->userId)
      {
          $userNotFound = false;
          $deletedUser = true;
      }
  }
  if ($userNotFound)
  {

      /* Nach Versichertennummer fragen, wenn keine UserId angegeben wurde */
?>
  <form name="versnummer" action="<?=$SELF_PHP?>" method="POST">
    <fieldset class="fieldset"><legend>Versnr.</legend>
    <table>
      <tr>
        <td>Vers.Nummer</td>
        <td><input type="text" name="versnummer" /></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td><input type="submit" value="weiter"></td>
      </tr>
    </table>
    </fieldset>
  </form>
  <script language="JavaScript">
    document.forms.versnummer.versnummer.focus();
  </script>
<?
  } else {
      /* Hole Userdaten */
#      $client = new user('', $userId);
      if (!$client->userId)
      {
?>
  Die Versichertennummer <?=$myversnummer?> ist noch nicht eingetragen
<?
          $userId = 0;
          $empty = false;
      } else {
          if ($deletedUser && !$undelete)
          {
              echo "<strong>Dieser Teilnehmer wurde gel&ouml;scht!</strong>";
          }

          // TODO: Check Input
          // Von hinten nach vorne, damit der Focus richtig gesetzt wird

          $empty=false;
          if (!isset($status))
          {
              $status = 1;
          }
          if ($comment == "")
          {
              if ($commentfree == "")
              {
                $empty = true;
                $focus = 'comment';
              }
          }

          /*
          if ($email == "")
          {
              $empty = true;
              $focus = 'email';
          }
          */
          if ($ort == "")
          {
              $empty = true;
              $focus = 'ort';
          }
          if ($plz == "")
          {
              $empty = true;
              $focus = 'plz';
          }
          if ($strasse == "")
          {
              $empty = true;
              $focus = 'strasse';
          }
          /*
          if ($hausnummer == "")
          {
              $empty = true;
              $focus = 'hausnummer';
          } 
          */

          if ($vorname == "")
          {
              $empty = true;
              $focus = 'vorname';
          }
          if ($name == "")
          {
              $empty = true;
              $focus = 'versnummer';
          }

          if ($anrede_frei != "")
          {
              $anrede = $anrede_frei;
          }

          if ($undelete) { $empty = false; }

          if (!$empty)
          {
              if ($undelete)
              {
                  $client->deleteUser(1);
                  $loggedIn->log('wiederhergestellt', $client->userId);
                  echo "Der Teilnehmer wurde erfolgreich wiederhergestellt.<br />\n";
              } else {
                  /* Wenn Daten angegeben wurden:
                     Teilnehmer updaten.... */
                  $client->versnummer = $versnummer;
                  $client->mitgliedseit= $mitgliedseit;
                  $client->anrede = capitalize($anrede);
                  $client->titel = capitalize($titel);
                  $client->name = capitalize($name);
                  $client->vorname = capitalize($vorname);
                  $client->strasse = capitalize($strasse,1);
                  $client->hausnummer = $hausnummer;
                  $client->plz = $plz;
                  $client->ort = capitalize($ort,1);
                  $client->email = $email;
                  $client->status = $status;
                  $client->ersteller = $loggedIn->userId;
                  $client->updateUserData($deletedUser);
                  if ($commentfree != '') $comment=$commentfree;
                  $loggedIn->log('Teilnehmer geaendert. '. escape($comment), $client->userId);
?>
              Die Teilnehmerdaten wurden ge&auml;ndert.<br>
              Hier geht es zur&uuml;ck zur Suchergebnisseite: 
              <?
              }
              if ($login) {?>
               <form name="search" action="<?=$_SERVER['PHP_SELF']?>?module=admins&login=<?=$login?>&userId=<?=$userId?>" method="POST">
                <input type="submit" name="search" value="weiter" />
              </form>
              <script language="JavaScript">
                document.forms.search.search.focus();
              </script>
   
              <?
              } else {?>
              <form name="search" action="<?=$_SERVER['PHP_SELF']?>?module=searchuser&action=submitted&userId=<?=$client->userId?>" method="POST">
                <input type="submit" name="search" value="weiter" />
              </form>
              <script language="JavaScript">
                document.forms.search.search.focus();
              </script>
              <?}?>
<?
          }
      }
  }

  if ($empty && $userId)
  {
    $erstellungsdatum = time();
    $ersteller = $loggedIn->userId;

    $userId = $client->userId;
    $anrede = $client->anrede;
    $titel = $client->titel;
    $name = $client->name;
    $vorname = $client->vorname;
    $strasse = $client->strasse;
    $hausnummer = $client->hausnummer;
    $plz = $client->plz;
    $ort = $client->ort;
    $email = $client->email;
    $versnummer = $client->versnummer;
    $mitgliedseit= $client->mitgliedseit;
    $erstellt = date('d.m.Y H:i', $client->erstellungsdatum);
    $geaendert = date('d.m.Y H:i', $client->aenderungsdatum);
    $status = $client->status;

    $logentries= array();
    $query = "SELECT * FROM userlogs WHERE object = '" . $userId .  "' order by timestamp DESC";
    $result = dbquery($query) or
        error("Kann User " . $admin->login . " nicht aus dem Log holen: " .
                dbError());

    while ($row = dbFetchRow($result))
    {
        $logentry = new logentry();

        $logentry->userId = $row['userId'];
        $logentry->aktion = $row['aktion'];
        $logentry->date = date('d.m.Y H:i', $row['timestamp']);
        $logentry->object = $row['object'];

        if ($logentry->userId != $userId) {
            $query = "SELECT * FROM admins WHERE userId = '". $logentry->userId. "'";
            $result_users = dbquery($query) or 
                error("Kann Admin ID " . $object . " nicht aus der
                        Datenbank holen: " . dberror());
            $row = dbFetchRow($result_users);
            dbFreeResult($result_users);
            $admin = $row['login'] . " (" . $row['name']. ")";
        } else {
            $admin = 'Selbst (Internet)';
        }
        $logentry->userId = $admin;
        array_push($logentries, $logentry);

    }

    
    $_SESSION['searchuser'] = true;
?>

      <fieldset class="fieldset"><legend>Logeintr&auml;ge</legend>
        <table>
          <tr>
            <td>Bearbeiter</td>
            <td>Aktion</td>
            <td>Datum</td>
          </tr>
        <?
          $color[0] = "#aaaaaa";
          $color[1] = "#eeeeee";
          $colnr = 0;
          foreach ($logentries as $logentry)
          { ?>
            <tr bgcolor="<?=$color[$colnr]?>">
              <td><?=$logentry->userId?></td>
              <td><?=$logentry->aktion?></td>
              <td><?=$logentry->date?></td>
<!--
              <td><?=$logentry->object?></td>
-->
            </tr>
          <?  
              $colnr = 1-$colnr;
          } ?>
        </table>


<?
  }
?>
